Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36613 - Empty value displayed for some types of editors
Empty value displayed for some types of editors
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Windows ME/2000
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 31896
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-15 13:32 UTC by Lukas Hasik
Modified: 2008-12-22 21:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2003-10-15 13:32:20 UTC
jdk 1.4.2, nb40dev 20031015100

value is displayed only after you click into cell.
look at type of field or return type of method.
Everything works fine but the value is visible
until you click on it or try to change ti -> then
its changed in code properly and is invisible again

org.openide.explorer.propertysheet.editors.TypeEditor
Comment 1 Lukas Hasik 2003-10-15 13:46:10 UTC
reassigning to java
Comment 2 _ tboudreau 2003-10-15 18:44:38 UTC
There were some recent changes in the inplace editors which may have
caused this;  I have more changes on the property panel rewrite branch,
so I can make sure this is working there and this will be fixed when I
integrate it.

I don't know this editor - I'm guessing it's one of the ones that really
belongs to the Java module but is still packaged as if it were in
openide.  Could you save me some time & tell me where to find one?

Is it supposed to be a combo box?  If so I think I know the problem -
the combo box is not laid out again after the editor is added.  If so,
it should already be fixed on the branch.
Comment 3 Lukas Hasik 2003-10-16 10:06:19 UTC
yes, I can save your time, Tim ;)

You're right - it's combo.
Where to find select any field or method node in Explorer or move
cursor on line with field or method declaration in Editor - and look
at property sheet.

If it's fixed already on branch then mark fixed after merge.
Comment 4 _ tboudreau 2003-11-08 16:43:54 UTC
Fixed on the property panel rewrite branch
Comment 5 _ tboudreau 2003-12-09 09:36:52 UTC
Property panel rewrite branch merged.
Comment 6 Lukas Hasik 2003-12-15 16:08:58 UTC
verified - 200312141900


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo